%global oname rtslib-fb

Name:           python-rtslib
Version:        2.1.76
Release:        %mkrel 3
Summary:        API for Linux kernel LIO SCSI target
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/open-iscsi/rtslib-fb
Source0:        https://github.com/open-iscsi/rtslib-fb/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  systemd-units

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
API for generic Linux SCSI kernel target. Includes the 'target'
service and targetctl tool for restoring configuration.

%package -n python3-rtslib
Summary:        API for Linux kernel LIO SCSI target
Group:          System/Libraries
Requires:       python3-kmod
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%{?python_provide:%python_provide python3-rtslib}

%description -n python3-rtslib
API for python 3 generic Linux SCSI kernel target.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rtslib rtslib_fb

mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/man5/
mkdir -p %{buildroot}%{_unitdir}
install -m 644 systemd/target.service %{buildroot}%{_unitdir}/target.service
install -m 644 doc/targetctl.8 %{buildroot}%{_mandir}/man8/
install -m 644 doc/saveconfig.json.5 %{buildroot}%{_mandir}/man5/

%post -n python3-rtslib
%_post_service target

%preun -n python3-rtslib
%_preun_service target

%postun -n python3-rtslib
%_postun_service target


%files -n python3-rtslib -f %{pyproject_files}

%doc COPYING README.md
%{_bindir}/targetctl
%{_unitdir}/target.service
%{_mandir}/man8/targetctl.8.*
%{_mandir}/man5/saveconfig.json.5.*


%changelog
* Sun Mar 02 2025 wally <wally> 2.1.76-3.mga10
+ Revision: 2157587
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 2.1.76-2.mga10
+ Revision: 2035933
- rebuild for python 3.12
- new version 2.1.76

* Thu Sep 08 2022 neoclust <neoclust> 2.1.75-1.mga9
+ Revision: 1885618
- New version  2.1.75

* Thu Mar 24 2022 umeabot <umeabot> 2.1.74-4.mga9
+ Revision: 1824919
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.1.74-3.mga9
+ Revision: 1782696
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.1.74-2.mga9
+ Revision: 1732985
- Rebuild for python 3.9

* Wed Sep 09 2020 zezinho <zezinho> 2.1.74-1.mga8
+ Revision: 1624004
- new version 2.1.74

* Thu Aug 06 2020 daviddavid <daviddavid> 2.1.73-1.mga8
+ Revision: 1611463
- new version: 2.1.73, fixes CVE-2020-14019 (mga#27042)
- use upstream's systemd service

* Sun Feb 16 2020 umeabot <umeabot> 2.1.fb69-4.mga8
+ Revision: 1534470
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 2.1.fb69-3.mga8
+ Revision: 1449035
- require python3-kmod

* Thu Oct 03 2019 daviddavid <daviddavid> 2.1.fb69-2.mga8
+ Revision: 1449002
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 zezinho <zezinho> 2.1.fb69-1.mga7
+ Revision: 1351369
- new version 2.1.fb69

* Thu Sep 20 2018 umeabot <umeabot> 2.1.fb59-4.mga7
+ Revision: 1290008
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.fb59-3.mga7
+ Revision: 1135616
- Rebuild for python 3.6

* Mon Dec 14 2015 zezinho <zezinho> 2.1.fb59-2.mga6
+ Revision: 910504
- new version

* Sat Oct 10 2015 tv <tv> 2.1.fb57-2.mga6
+ Revision: 888981
- rebuild for python 3.5

* Wed Sep 09 2015 zezinho <zezinho> 2.1.fb57-1.mga6
+ Revision: 874574
- new version

* Wed Oct 15 2014 umeabot <umeabot> 2.1.fb49-5.mga5
+ Revision: 746646
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.fb49-4.mga5
+ Revision: 729682
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.fb49-3.mga5
+ Revision: 688314
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 2.1.fb49-2.mga5
+ Revision: 669756
- fix group
- add Python3

* Fri Aug 29 2014 zezinho <zezinho> 2.1.fb49-1.mga5
+ Revision: 669243
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 21 2014 zezinho <zezinho> 2.1.fb47-1.mga5
+ Revision: 624684
- new version

* Thu Feb 13 2014 zezinho <zezinho> 2.1.fb44-1.mga5
+ Revision: 590151
- imported package python-rtslib


* Wed Dec 18 2013 Andy Grover <agrover@redhat.com> - 2.1.fb44-1
- New upstream version

* Wed Dec 4 2013 Andy Grover <agrover@redhat.com> - 2.1.fb43-1
- New upstream version
- Remove rtslib-fix-setup.patch

* Wed Nov 6 2013 Andy Grover <agrover@redhat.com> - 2.1.fb41-3
- Don't overwrite py2 scripts with py3 scripts

* Mon Nov 4 2013 Andy Grover <agrover@redhat.com> - 2.1.fb41-2
- Update rtslib-fix-setup.patch with backported fixups
- Add in missing systemd requires

* Fri Nov 1 2013 Andy Grover <agrover@redhat.com> - 2.1.fb41-1
- New upstream version
- Remove obsolete spec stuff: clean, buildroot
- Add target.service

* Mon Sep 23 2013 Andy Grover <agrover@redhat.com> - 2.1.fb40-1
- New upstream version, fixes restore of mappedluns

* Wed Sep 11 2013 Andy Grover <agrover@redhat.com> - 2.1.fb39-1
- New upstream version, fixes fcoe

* Tue Sep 10 2013 Andy Grover <agrover@redhat.com> - 2.1.fb38-1
- New upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.fb37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Andy Grover <agrover@redhat.com> - 2.1.fb37-1
- New upstream version
- License now Apache 2.0

* Tue Jul 2 2013 Andy Grover <agrover@redhat.com> - 2.1.fb36-1
- New upstream version
- Remove fix-tabs.patch

* Fri Jun 7 2013 Andy Grover <agrover@redhat.com> - 2.1.fb35-1
- New upstream version
- add fix-tabs.patch

* Thu May 9 2013 Andy Grover <agrover@redhat.com> - 2.1.fb34-1
- New upstream version

* Thu May 2 2013 Andy Grover <agrover@redhat.com> - 2.1.fb33-1
- New upstream version
- Update source file location

* Tue Apr 16 2013 Andy Grover <agrover@redhat.com> - 2.1.fb32-2
- Add python3 subpackage

* Tue Apr 9 2013 Andy Grover <agrover@redhat.com> - 2.1.fb32-1
- New upstream version

* Tue Feb 26 2013 Andy Grover <agrover@redhat.com> - 2.1.fb30-1
- New upstream version
- Update description and summary
- Remove patch0, upstream doesn't include usb gadget any more

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.fb28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 7 2013 Andy Grover <agrover@redhat.com> - 2.1.fb28-1
- New upstream version

* Wed Jan 2 2013 Andy Grover <agrover@redhat.com> - 2.1.fb27-1
- Specfiles removed upstream, remove handling
- Refresh no-usb.patch

* Thu Dec 20 2012 Andy Grover <agrover@redhat.com> - 2.1.fb26-1
- New upstream release
- Remove kernel dependency
- Remove python-ethtool and python-ipaddr dependencies

* Tue Nov 13 2012 Andy Grover <agrover@redhat.com> - 2.1.fb24-1
- New upstream release

* Tue Oct 30 2012 Andy Grover <agrover@redhat.com> - 2.1.fb23-1
- New upstream release

* Thu Sep 6 2012 Andy Grover <agrover@redhat.com> - 2.1.fb22-1
- New upstream release

* Wed Aug 8 2012 Andy Grover <agrover@redhat.com> - 2.1.fb21-1
- New upstream release

* Tue Aug 7 2012 Andy Grover <agrover@redhat.com> - 2.1.fb20-2
- Add patch no-usb.patch

* Tue Aug 7 2012 Andy Grover <agrover@redhat.com> - 2.1.fb20-1
- New upstream release. Add kernel version dependency.
- Don't claim python_sitelib

* Thu Aug 2 2012 Andy Grover <agrover@redhat.com> - 2.1.fb19-1
- New upstream release. Add kmod dependency.

* Tue Jul 31 2012 Andy Grover <agrover@redhat.com> - 2.1.fb18-1
- New upstream release. Remove configobj dependency

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.fb17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Andy Grover <agrover@redhat.com> - 2.1.fb17-1
- New upstream release
- Remove patch retry-target-creation.patch, upstream has alternate
  fix.

* Tue Jun 12 2012 Andy Grover <agrover@redhat.com> - 2.1.fb15-1
- New upstream release

* Wed May 30 2012 Andy Grover <agrover@redhat.com> - 2.1.fb14-1
- Update Source URL to proper tarball
- Add patch retry-target-creation.patch
- New upstream release

* Mon Apr 9 2012 Andy Grover <agrover@redhat.com> - 2.1.fb13-1
- New upstream release

* Wed Feb 29 2012 Andy Grover <agrover@redhat.com> - 2.1.fb12-2
- Add -doc package of epydoc-generated html docs

* Wed Feb 29 2012 Andy Grover <agrover@redhat.com> - 2.1.fb12-1
- New upstream release

* Tue Feb 21 2012 Andy Grover <agrover@redhat.com> - 2.1.fb11-1
- New upstream release

* Fri Feb 10 2012 Andy Grover <agrover@redhat.com> - 2.1.fb9-1
- New upstream release

* Fri Feb 3 2012 Andy Grover <agrover@redhat.com> - 2.1.fb8-1
- New upstream release

* Tue Jan 24 2012 Andy Grover <agrover@redhat.com> - 2.1.fb7-1
- New upstream release

* Tue Jan 24 2012 Andy Grover <agrover@redhat.com> - 2.1.fb6-1
- New upstream release

* Fri Jan 13 2012 Andy Grover <agrover@redhat.com> - 2.1.fb5-1
- New upstream release

* Fri Jan 13 2012 Andy Grover <agrover@redhat.com> - 2.1.fb4-1
- New upstream release

* Tue Jan 10 2012 Andy Grover <agrover@redhat.com> - 2.1.fb3-1
- New upstream release

* Tue Dec 6 2011 Andy Grover <agrover@redhat.com> - 2.1.fb2-1
- New upstream release

* Tue Dec 6 2011 Andy Grover <agrover@redhat.com> - 2.1.fb1-1
- Change upstream URL
- New upstream release
- Remove upstreamed patches:
  * python-rtslib-git-version.patch
  * python-rtslib-use-ethtool.patch
  * python-rtslib-update-specpath.patch

* Mon Nov 14 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git644eece-8
- Change archive instructions to use gzip -n
- Fix issues raised in Fedora package review (#744349)

* Thu Oct 6 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git644eece-7
- Remove patch
  * python-rtslib-del-unused-specs.patch

* Wed Aug 17 2011 Andy Grover <agrover@redhat.com> - 1.99-6
- Update based on review comments
  - Fully document steps to build archive
  - Remove commented-out extraneous text
  - Remove a repeat in Requires line
  - Update git-version.patch to have proper sha1
  - Change location of fabric spec files to /var/lib/target
- Remove unused specs

* Tue May 10 2011 Andy Grover <agrover@redhat.com> - 1.99-1
- Initial packaging
